.user-order-history .pmpro_table tbody tr th a,
#pmpro_account_loggedin a,
.all-levels .pmpro_table tbody tr td a.pmpro_btn {
    display: inline-flex;
    width: fit-content;
    align-items: center;
}

.user-order-history .pmpro_table tbody tr th a,
.pmpro-checkout .pmpro_card_actions a,
#pmpro_account_loggedin a {
    position: relative;
    color: var(--secondary-color);
}

.user-order-history .pmpro_table tbody tr th a::before,
.pmpro-checkout .pmpro_card_actions a::before,
#pmpro_account_loggedin a::before {
    content: "";
    position: absolute;
    left: 0;
    bottom: -1px;
    width: 100%;
    height: 1px;
    background-color: currentColor;
    max-width: 100%;
    transform-origin: left;
    transition: max-width 0.4s ease;
}

.user-order-history .pmpro_table tbody tr th a:hover::before,
.pmpro-checkout .pmpro_card_actions a:hover::before,
#pmpro_account_loggedin a:hover::before {
    max-width: 0;
}

.user-order-history .pmpro_card_actions {
    display: none;
}

#cancel-fa-setup {
    border: 1px solid var(--secondary-color);
    background-color: var(--white);
    color: var(--secondary-color);
    border-radius: 4px;
    padding: 0 20px;
    height: 40px;
}

#cancel-fa-setup:hover {
    color: var(--white);
    background-color: var(--secondary-color);
}

.tab-content-block-column h2,
.tab-content-block-column h2.pmpro_section_title {
    font-size: 32px;
    font-weight: 600;
    line-height: normal;
}

.tab-content-block-column h2.pmpro_section_title {
    padding-bottom: 20px;
}

.tab-content-block-column {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.tab-block-columns .pmpro .pmpro_section,
.tab-links-block-column .pmpro .pmpro_card,
.tab-content-block-column .pmpro .pmpro_card,
.pmpro-confirmation .pmpro .pmpro_card,
.pmpro-invoice .pmpro .pmpro_card {
    margin: 0;
}

#pmpro_account-links ul.pmpro_list h3 {
    display: none;
}

.card-with-padding .pmpro .pmpro_card_content,
.card-with-padding .tab-content-block {
    padding: 20px 24px;
}

.card-with-padding .pmpro .pmpro_card_content {
    padding-top: 20px !important;
}

.card-with-no-padding .pmpro .pmpro_card_content,
.card-with-no-padding .tab-content-block {
    padding: 0;
}

.pmpro #pmpro_account-links .pmpro_list>li {
    display: none;
}

.pmpro #pmpro_account-links .pmpro_list>li:first-of-type {
    display: block;
}

.pmpro #pmpro_account-links .pmpro_card_content {
    padding: 8px;
}

#pmpro_account-links .pmpro_card_content nav#pmpro-member-navigation ul {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

nav#pmpro-member-navigation li a {
    display: flex;
    padding: 8px 12px;
    line-height: normal;
    border-radius: 8px;
    align-items: center;
    transition: background-color 0.3s ease, color 0.3s ease;
}

nav#pmpro-member-navigation li.current-menu-item a,
nav#pmpro-member-navigation li a:hover {
    color: var(--white);
    background-color: var(--secondary-color);
}

nav#pmpro-member-navigation li a::before {
    content: "";
    width: 20px;
    height: 20px;
    margin-right: 10px;
    display: inline-flex;
    background-color: var(--black);
    flex-shrink: 0;
    transition: background-color 0.3s ease;
}

nav#pmpro-member-navigation li a::before {
    -webkit-mask: url('../../images/person.svg') no-repeat center;
    mask: url('../../images/person.svg') no-repeat center;
}

nav#pmpro-member-navigation li.menu-item-372 a::before {
    -webkit-mask: url('../../images/crown.svg') no-repeat center;
    mask: url('../../images/crown.svg') no-repeat center;
}

nav#pmpro-member-navigation li.menu-item-249 a::before {
    -webkit-mask: url('../../images/history.svg') no-repeat center;
    mask: url('../../images/history.svg') no-repeat center;
}

nav#pmpro-member-navigation li.menu-item-381 a::before {
    -webkit-mask: url('../../images/logout.svg') no-repeat center;
    mask: url('../../images/logout.svg') no-repeat center;
}

nav#pmpro-member-navigation li.menu-item-407 a::before {
    -webkit-mask: url('../../images/ods.svg') no-repeat center;
    mask: url('../../images/ods.svg') no-repeat center;
}

nav#pmpro-member-navigation li.menu-item-414 a::before {
    -webkit-mask: url('../../images/chat_info.svg') no-repeat center;
    mask: url('../../images/chat_info.svg') no-repeat center;
}

nav#pmpro-member-navigation li.menu-item-431 a::before {
    -webkit-mask: url('../../images/library_books.svg') no-repeat center;
    mask: url('../../images/library_books.svg') no-repeat center;
}

nav#pmpro-member-navigation li.current-menu-item a::before,
nav#pmpro-member-navigation li a:hover:before {
    background-color: var(--white);
}

.user-account .wp-block-group {
    padding: 24px !important;
    margin: 0 !important;
}

.user-account .wp-block-group,
.tab-content-block,
.tab-links-block-column .pmpro .pmpro_card,
.tab-content-block-column .pmpro .pmpro_card,
.pmpro-confirmation .pmpro .pmpro_card,
.pmpro-invoice .pmpro .pmpro_card {
    background-color: var(--white);
    border-radius: 8px;
    box-shadow: 0 5px 30px 0 rgba(25, 33, 61, 0.06);
}

.user-account .wp-block-columns {
    column-gap: 12px;
    align-items: center !important;
}

.tab-content-block-column .user-account .wp-block-column {
    gap: 4px;
    display: flex;
    flex-direction: column;
}

.user-account .wp-block-column p:has(img) {
    display: flex;
}

.user-account .wp-block-column img {
    border-radius: 12px;
    overflow: hidden;
}

.user-account .wp-block-column p {
    color: var(--black);
    margin: 0;
}

.user-account .wp-block-column p strong {
    font-size: 24px;
    font-weight: 500;
    line-height: normal;
    letter-spacing: -0.72px;
}

.user-account p.user-email {
    font-size: 12px;
}

.custom-member-profile-edit legend.pmpro_form_legend,
.custom-change-password legend.pmpro_form_legend {
    width: 100%;
    margin: 0;
}

.custom-member-profile-edit legend.pmpro_form_legend div,
.custom-member-profile-edit #profile-view-mode .pmpro_profile-field,
.custom-member-profile-edit-form#profile-edit-mode .pmpro_form_field,
.custom-change-password #password-view-mode .pmpro_form_field,
.custom-change-password #password-view-mode .pmpro_form_field span,
.custom-change-password #password-edit-mode .pmpro_form_field {
    justify-content: space-between;
    align-items: center;
}

.custom-member-profile-edit #profile-view-mode .pmpro_profile_row,
.custom-change-password #password-view-mode .pmpro_profile_row {
    display: flex;
    flex-direction: column;
    row-gap: 8px;
}

.custom-member-profile-edit #profile-view-mode .pmpro_profile-field,
.custom-change-password #password-view-mode .pmpro_form_field {
    display: flex;
    padding: 9px 0;
}

.custom-member-profile-edit #profile-view-mode label,
.custom-member-profile-edit #profile-view-mode p,
.custom-change-password #password-view-mode .pmpro_form_field label {
    width: fit-content;
}

.custom-member-profile-edit #profile-view-mode label,
.custom-member-profile-edit #profile-view-mode p,
.custom-change-password #password-view-mode .pmpro_form_field label {
    line-height: normal;
}

.custom-member-profile-edit #profile-view-mode label,
.custom-change-password #password-view-mode .pmpro_form_field label {
    color: #131313;
    font-size: 16px;
    font-weight: 400;
}

.custom-member-profile-edit-form#profile-edit-mode .pmpro_form_field,
.custom-change-password #password-view-mode .pmpro_form_field,
.custom-change-password #password-edit-mode .pmpro_form_field,
#password-edit-mode.pmpro_form_fields {
    width: 100%;
}

.custom-member-profile-edit-form#profile-edit-mode .pmpro_form_field,
.custom-change-password #password-view-mode .pmpro_form_field,
#pmpro_form_fieldset-machine-number .pmpro_form_fields {
    flex-direction: row;
}

.custom-change-password #password-edit-mode .pmpro_form_field,
#password-edit-mode.pmpro_form_fields {
    gap: 0;
}

.custom-change-password #password-edit-mode .pmpro_form_field.pmpro_form_field-password_current {
    margin-bottom: 48px;
}

.custom-change-password #password-edit-mode .pmpro_form_hint {
    padding: 20px 0;
}

.custom-change-password #password-edit-mode #pass-strength-result.empty {
    display: none;
}

.pmpro .pmpro_form_input {
    background-color: transparent;
    outline: none;
    border: none;
    border-bottom: 1px solid #A2A2A2;
    color: var(--black);
    font-family: 'Roboto', sans-serif;
    font-size: 20px;
    font-weight: 400;
    line-height: 140%;
    padding: 12px 10px;
    width: 100%;
    border-radius: 0;
}

.pmpro input.pmpro_form_input:read-only {
    color: #777777;
}

#profile-edit-mode1 .pmpro_form_submit,
#password-edit-mode1 {
    margin-left: auto;
}

.custom-change-password #password-view-mode .pmpro_form_field a.underline-link {
    font-size: 16px;
    font-weight: 500;
    cursor: pointer;
}

.custom-change-password #password-edit-mode .pmpro_form_field .pmpro_form_field-password-toggle,
.pmpro_form_field-password-toggle {
    display: flex;
    gap: 8px;
}

.custom-change-password #password-edit-mode .pmpro_form_field-password-toggle button:focus,
.custom-change-password #password-edit-mode .pmpro_form_field-password-toggle button:active,
.pmpro_form_field-password-toggle button:focus,
.pmpro_form_field-password-toggle button:active {
    box-shadow: none !important;
    color: var(--primary-color) !important;
}

.custom-change-password #password-edit-mode .pmpro_form_field-password-toggle button:focus .pmpro_icon-eye svg,
.custom-change-password #password-edit-mode .pmpro_form_field-password-toggle button:active .pmpro_icon-eye svg,
.pmpro_form_field-password-toggle button:focus .pmpro_icon-eye svg,
.pmpro_form_field-password-toggle button:active .pmpro_icon-eye svg {
    stroke: var(--primary-color) !important;
}

.custom-change-password #password-edit-mode .pmpro_cols-2 {
    gap: 0;
}

.custom-change-password #password-view-mode .form-field label {
    position: relative;
    top: 0;
}

#cancel-fa-setup {
    display: flex;
    justify-self: end;
    margin-top: 20px;
    width: fit-content;
}

#fa-setup .wfls-flex-row .wfls-flex-item-sm-50 {
    width: 50%;
}

#fa-setup .pmpro_card_content h3 {
    padding-bottom: 20px;
}

.custom-change-password #password-edit-mode .pmpro_form_field .pmpro_form_field-password-toggle .pmpro_btn-password-toggle {
    position: absolute;
    right: 0;
}

#password-edit-mode.pmpro_form_fields .pmpro_cols-2 {
    display: flex;
    flex-direction: column;
    gap: 48px;
}

.tab-content-padding,
.tab-content-padding.pmpro_form_legend,
.tab-content-padding.pmpro_card_content,
.tab-content-padding.pmpro_card_title,
.tab-content-padding.pmpro_card_actions,
.support-form .tab-content-block h3,
.support-form .tab-content-block .form-wrapper,
#pmpro_form_fieldset-machine-number .pmpro_form_legend,
#pmpro_form_fieldset-machine-number .pmpro_form_fields {
    padding: 20px 24px;
}

#pmpro_pricing_fields .tab-content-padding.pmpro_card_content {
    padding-top: 24px;
}

#pmpro_user_fields .pmpro_card_content,
#member-profile-edit .pmpro_card_content,
#change-password .pmpro_card_content,
#pmpro_form_fieldset-machine-number .pmpro_card_content {
    padding: 0;
}

.support-form .tab-content-block .form-wrapper {
    padding-top: 32px;
}

.custom-change-password #password-view-mode .pmpro_form_field span {
    display: flex;
    gap: 8px;
}

.tab-content-padding.pmpro_form_legend,
.tab-content-padding.pmpro_card_title,
.support-form .tab-content-block h3,
.subscription-tab-content-block>div,
#pmpro_form_fieldset-machine-number .pmpro_form_legend {
    border-bottom: 1px solid rgba(54, 54, 54, 0.07);
}

.subscription-tab-content-block>div:last-child,
.user-account .wp-block-group,
.tab-links-block-column .pmpro .pmpro_card,
.tab-content-block-column .pmpro .pmpro_card,
.pmpro-confirmation .pmpro .pmpro_card,
.pmpro-invoice .pmpro .pmpro_card {
    border: none;
}

.tab-content-block-header,
.subscription-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 12px
}

.subscription-item h5 {
    padding-bottom: 12px;
}

.tab-content-block-column .pmpro_form_legend h3,
.subscription-item h5,
.tab-content-block h3,
.pmpro-checkout h2.pmpro_card_title,
.pmpro-checkout h2.pmpro_form_heading {
    font-weight: 500;
    line-height: 120%;
}

.tab-content-block-column .pmpro_form_legend h3,
.tab-content-block h3,
.pmpro-checkout h2 {
    letter-spacing: -0.72px;
}

.subscription-actions {
    display: flex;
    gap: 16px;
}

.status.active {
    border-radius: 60px;
    background: #00A86B;
    color: var(--white);
    padding: 0 10px;
    height: 20px;
    font-size: 12px;
    font-weight: 500;
    display: flex;
    align-items: center;
    justify-content: center;
    width: fit-content;
}

.subscription-meta {
    display: flex;
    gap: 12px;
}

.underline-link.cancel-link {
    color: #C52326;
}

/* Membership Orders */
.tab-content-block-column.card-with-no-padding.user-order-history .pmpro .pmpro_card_content,
.tab-content-block-column.card-with-no-padding.my-machines .pmpro_card_content,
.tab-content-block-column.card-with-no-padding.all-levels .pmpro .pmpro_card_content {
    padding: 0 18px;
}

.user-order-history .pmpro_table thead tr th,
.my-machines .pmpro_table thead tr th,
.all-levels .pmpro_table thead tr th {
    font-weight: 400;
    color: #505050;
}

.user-order-history .pmpro_table thead tr th,
.user-order-history .pmpro_table tbody tr th,
.user-order-history .pmpro_table tbody tr td,
.my-machines .pmpro_table thead tr th,
.my-machines .pmpro_table tbody tr th,
.my-machines .pmpro_table tbody tr td,
.all-levels .pmpro_table thead tr th,
.all-levels .pmpro_table tbody tr th,
.all-levels .pmpro_table tbody tr td {
    padding: 16px 8px;
}

.user-order-history .pmpro_table tbody tr th a,
.user-order-history .pmpro_table tbody tr td,
.my-machines .pmpro_table tbody tr td,
.all-levels .pmpro_table tbody tr td p strong {
    font-weight: 500;
}

.user-order-history .pmpro_table tbody tr td.pmpro_table_order-level,
.user-order-history .pmpro_table tbody tr td.pmpro_table_order-amount,
.my-machines .pmpro_table tbody tr td,
.all-levels .pmpro_table tbody tr th,
.all-levels .pmpro_table tbody tr td p {
    color: var(--black);
}

th.pmpro_table_order-date {
    white-space: nowrap;
}

/* End Membership Orders */

/* My Machines */
.my-machines .pmpro_table {
    text-align: left;
}

.my-machines tbody th,
.my-machines tbody td {
    border-color: #e8e8e8;
    border-width: 1px 0 0 0;
    border-style: solid;
}

/* End My Machines */

/* Membership Resources */
.resources-block {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.resource-card {
    display: flex;
    justify-content: space-between;
    gap: 10px;
    align-items: center;
    border-radius: 11px;
    background: var(--white);
    padding: 16px 18px;
    box-shadow: 0 5px 30px 0 rgba(25, 33, 61, 0.06);
}

.resource-card .underline-link {
    font-size: 12px;
}

.resource-icon-title-wrapper {
    display: flex;
    align-items: center;
    gap: 10px;
}

.resource-icon-title-wrapper img {
    height: 38px;
    width: 38px;
}

.resource-info a {
    padding-bottom: 4px;
    font-weight: 500;
    color: var(--black);
    display: block;
}

.resource-info a,
.resource-info span {
    font-size: 14px;
    line-height: 140%;
}

.resource-info span {
    color: #828282;
}

.resource-icon-title-wrapper img,
.resource-download-btn {
    flex-shrink: 0;
}

/* End Membership Resources */

/* Membership Checkout */
label.pmpro_form_label {
    font-weight: 400 !important;
}

.pmpro button.pmpro_btn.pmpro_btn-password-toggle {
    height: auto;
    padding: 0;
}

.form-field label.pmpro_form_label {
    top: 26px;
}

.form-field:focus-within label.pmpro_form_label,
.form-field.filled label.pmpro_form_label {
    top: -14px;
    font-size: 14px;
}

.full-width-pmpro_col {
    display: flex;
    flex-direction: column;
}

.pmpro_form .pmpro_form_fields,
.full-width-pmpro_col {
    gap: 48px;
}

.pmpro-checkout .pmpro_card_content legend,
#pmpro_account_loggedin p:first-of-type,
.pmpro-checkout .pmpro_card,
.pmpro-cancel .pmpro .pmpro_card_content p {
    margin: 0;
}

#pmpro_user_fields .pmpro_form_field-password:has(.pmpro_form_field-password-toggle) input {
    grid-area: unset !important;
}

.full-width-pmpro_col .pmpro_form_field.pmpro_form_field-password.form-field {
    gap: 0;
}

.pmpro-checkout .pmpro_card .pmpro_card_actions {
    background-color: transparent;
}

.pmpro_section .form-wrapper [class*="col-sm-"] {
    row-gap: 20px;
    padding-left: 10px;
    padding-right: 10px;
}

.pmpro-checkout .pmpro .pmpro_form_submit {
    margin: 0;
    justify-content: end;
}

.pmpro-checkout .pmpro_form_submit #pmpro_processing_message {
    display: none;
}

#profile-edit-mode1 .pmpro_form_submit button.pmpro_btn,
#password-edit-mode1 .pmpro_form_submit input.pmpro_btn {
    height: auto;
    background-color: transparent;
    border: none;
}

#profile-edit-mode1 .pmpro_form_submit,
.pmpro-checkout .pmpro_form_submit #pmpro_submit_span,
.pmpro-cancel .pmpro_form_submit .cancel-btn {
    position: relative;
    border-radius: 10px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    min-width: 88px;
    padding: 0 20px;
    gap: 0;
    height: 50px;
    flex-wrap: nowrap;
    width: fit-content;
    border: 1px solid var(--primary-color);
    background-color: var(--primary-color);
    transition: border ease 0.4s, background-color ease 0.4s, color ease 0.4s;
}

.pmpro #password-edit-mode1 .pmpro_btn.btn-with-border,
.pmpro-cancel .pmpro_form_submit .pmpro_btn.btn-with-border {
    height: 100%;
    box-shadow: none;
    border-radius: 10px;
}

.pmpro-cancel .pmpro_form_submit .pmpro_btn.btn-with-border {
    height: 50px;
}

.pmpro .btn .pmpro_btn.pmpro_btn-submit,
#profile-edit-mode1 .pmpro_form_submit button[type="submit"],
.pmpro-checkout .pmpro_form_submit input[type="submit"],
.pmpro-cancel .pmpro_form_submit .cancel-btn input[type="submit"] {
    padding: 0;
    box-shadow: none;
    border: none;
}

#profile-edit-mode1 .pmpro_form_submit button[type="submit"],
.pmpro-checkout .pmpro_form_submit input[type="submit"],
.pmpro-cancel .pmpro_form_submit .cancel-btn input[type="submit"] {
    color: var(--white);
    font-size: 16px;
    font-weight: 600;
}

.pmpro .btn .pmpro_btn.pmpro_btn-submit,
#profile-edit-mode1 .pmpro_form_submit button[type="submit"]:hover,
.pmpro-checkout .pmpro_form_submit input[type="submit"]:hover,
.pmpro-cancel .pmpro_form_submit .cancel-btn input[type="submit"]:hover {
    background-color: transparent;
}

#profile-edit-mode1 .pmpro_form_submit::after,
.pmpro-checkout .pmpro_form_submit #pmpro_submit_span::after,
.pmpro-cancel .pmpro_form_submit .cancel-btn::after {
    content: "";
    -webkit-mask: url('../../images/arrow-right.svg') no-repeat center;
    mask: url('../../images/arrow-right.svg') no-repeat center;
    background-color: var(--white);
    width: 20px;
    height: 20px;
    margin-left: 4px;
    transition: transform 0.4s ease;
}

#profile-edit-mode1 .pmpro_form_submit:hover::after,
.pmpro-checkout .pmpro_form_submit #pmpro_submit_span:hover::after,
.pmpro-cancel .pmpro_form_submit .cancel-btn:hover::after {
    transform: translateX(10px);
}

.checkout-membership-info {
    padding: 16px 12px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    border-radius: 8px;
}

.pmpro .pmpro_card_content .checkout-membership-info p {
    margin: 0;
    color: var(--black);
}

.checkout-membership-info h5 {
    font-weight: 500;
    line-height: 120%;
    padding-bottom: 6px;
}

.checkout-membership-info p span {
    font-weight: 600;
}

#pmpro_account_loggedin a {
    font-weight: 500;
}

.checkout-btns-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.checkout-btns-wrapper a,
.pmpro-cancel .pmpro_actions_nav a.btn {
    height: 50px;
}

.checkout-btns-wrapper a:hover,
.pmpro-cancel .pmpro_actions_nav a.btn:hover {
    border-color: initial;
}

/* End Membership Checkout */

/* Membership Cancel */
.pmpro-cancel .pmpro_form_submit .pmpro_btn.btn-with-border {
    padding-top: 0;
    padding-bottom: 0;
    display: inline-flex;
}

#pmpro_cancel .pmpro_message {
    margin: 0;
    box-shadow: none;
}

#pmpro_cancel {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

/* End Membership Cancel */

/* Invoice */
#pmpro_order_single {
    margin-bottom: 20px;
}

#pmpro_order_single .pmpro_card_actions {
    background-color: transparent;
}

.pmpro-invoice .pmpro_actions_nav span>a {
    position: relative;
    border-radius: 10px;
    font-size: 16px;
    font-weight: 600;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 40px;
    min-width: 88px;
    padding: 0 20px;
    width: fit-content;
    border: 1px solid var(--primary-color);
    background-color: var(--primary-color);
    color: var(--white);
    transition: border ease 0.4s, background-color ease 0.4s, color ease 0.4s;
}

.pmpro-invoice .pmpro_actions_nav span>a:hover {
    background-color: var(--white);
    color: var(--secondary-color);
}

.pmpro-confirmation .pmpro_actions_nav .solid-blue-btn:hover {
    border-color: 1px solid var(--primary-color);
}

/* End Invoice */

/* Membership Levels */
.all-levels .pmpro_table tbody tr td a.pmpro_btn {
    width: 100%;
    box-shadow: none;
    height: 40px;
}

.all-levels .pmpro_table .active-plan-btn {
    border: 1px solid #c3e6cb;
    background-color: #d4edda;
    color: #0F441C;
    cursor: not-allowed;
    pointer-events: none;
}

.all-levels .pmpro_table td .solid-blue-btn:hover {
    background-color: var(--white);
    color: var(--secondary-color);
    border-color: var(--secondary-color);
}

/* End Membership Levels */

@media screen and (max-width: 1200px) {
    .custom-change-password #password-edit-mode .pmpro_form_field .pmpro_form_field-password-toggle {
        flex-direction: column;
    }
}

@media screen and (max-width: 992px) {
    .tab-content-block-column h2 {
        text-align: left;
    }

    #fa-setup .wfls-flex-row .wfls-flex-item-sm-50 {
        width: 100%;
        flex-basis: 100%;
    }

    .pmpro-checkout .row {
        flex-direction: column-reverse;
        row-gap: 20px;
    }
}

@media screen and (max-width: 780px) {
    .user-account .wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column:first-of-type {
        flex-basis: 48px !important;
    }

    .user-account .wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column:nth-of-type(2) {
        flex-basis: calc(100% - 12px - 48px) !important;
    }

    .user-account .wp-block-column {
        flex-grow: 0;
    }
}

@media screen and (max-width: 767px) {
    .tab-content-block-column h2 {
        text-align: center;
        font-size: 28px;
    }

    .custom-member-profile-edit-form#profile-edit-mode .pmpro_form_field,
    .custom-change-password #password-view-mode .pmpro_form_field,
    .custom-change-password #password-edit-mode .pmpro_form_field {
        flex-direction: column;
        align-items: flex-start;
    }

    .custom-member-profile-edit-form#profile-edit-mode .pmpro_form_field input,
    .custom-change-password #password-edit-mode .pmpro_form_field input {
        width: 100%;
    }

    .custom-member-profile-edit legend.pmpro_form_legend h2 {
        text-align: center;
    }

    .pmpro legend.pmpro_form_legend h2.pmpro_form_heading,
    .user-account .wp-block-columns .wp-block-column p strong,
    .page-content .pmpro .pmpro_card h2.pmpro_card_title {
        font-size: 20px;
        line-height: 120%;
    }

    .custom-member-profile-edit legend.pmpro_form_legend a {
        flex-shrink: 0;
    }

    .custom-change-password #password-view-mode .pmpro_form_field span {
        width: 100%;
    }

    .custom-change-password #password-view-mode .pmpro_form_field:nth-of-type(2) {
        flex-direction: row;
    }

    .custom-member-profile-edit legend.pmpro_form_legend div {
        flex-direction: column;
        gap: 16px
    }

    .pmpro-cancel .pmpro_actions_nav-right {
        text-align: right;
        flex-basis: auto;
    }

    #profile-edit-mode1 .pmpro_form_submit,
    .pmpro-checkout .pmpro_form_submit #pmpro_submit_span,
    .pmpro-cancel .pmpro_form_submit .cancel-btn,
    .pmpro-cancel .pmpro_form_submit .pmpro_btn.btn-with-border,
    .checkout-btns-wrapper a,
    .pmpro-cancel .pmpro_actions_nav a.btn {
        height: 40px;
    }

    .user-order-history .pmpro_table tbody tr th::before,
    .user-order-history .pmpro_table tbody tr td::before,
    .my-machines .pmpro_table tbody tr th::before,
    .my-machines .pmpro_table tbody tr td::before {
        font-weight: 400;
        color: #505050;
    }

    .user-order-history tr th:first-child,
    .user-order-history tbody tr td:first-child .my-machines tbody tr th:first-child,
    .my-machines tbody tr td:first-child {
        border-top-width: 2px;
    }

    .my-machines tbody tr:first-child th:first-child,
    .my-machines tbody tr:first-child td:first-child {
        border-top: none;
    }

    .my-machines tbody tr th:first-child,
    .my-machines tbody tr td:first-child {
        padding-top: 36px;
    }

    .my-machines tbody tr th:last-child,
    .my-machines tbody tr td:last-child {
        padding-bottom: 36px;
    }

    #pmpro_form_fieldset-machine-number .pmpro_form_fields{
        flex-direction: column;
    }
}

@media screen and (max-width: 525px) {
    .pmpro-cancel .pmpro_actions_nav {
        flex-direction: column;
        gap: 12px;
        align-items: center;
    }
}

@media screen and (max-width: 475px) {
    .custom-member-profile-edit #profile-view-mode .pmpro_profile-field {
        flex-direction: column;
        align-items: start;
    }

    #password-edit-mode .pmpro_form_field .pmpro_form_field-password-toggle .pmpro_btn-password-toggle span.pmpro_form_field-password-toggle-state {
        display: none;
    }

    #password-edit-mode .pmpro_form_field .pmpro_form_field-password-toggle .pmpro_btn-password-toggle {
        justify-content: end;
    }


    .pmpro-cancel .pmpro .pmpro_form_submit {
        flex-direction: column;
        gap: 12px;
    }

    .subscription-item {
        flex-direction: column;
        align-items: flex-start;
    }

    .checkout-btns-wrapper {
        flex-direction: column;
        gap: 12px;
    }
}